## com.gargoylesoftware.htmlunit.html
Interface DomChangeListener

All Superinterfaces:
  java.io.Serializable

    public interface DomChangeListener

extends java.io.Serializable

Implementations of this interface receive notifications of changes to the DOM structure.

Version:
  $Revision: 4786 $
Author:
  Ahmed Ashour
See Also:
  `DomChangeEvent`

Method Summary
`void` `nodeAdded(DomChangeEvent event)` Notification that a new node was added.
`void` `nodeDeleted(DomChangeEvent event)` Notification that a new node was deleted.

Method Detail

### nodeAdded

    void nodeAdded(DomChangeEvent event)

  Notification that a new node was added. Called after the node is added.

  Parameters:
    `event` - the node addition event

### nodeDeleted

    void nodeDeleted(DomChangeEvent event)

  Notification that a new node was deleted. Called after the node is deleted.

  Parameters:
    `event` - the node deletion event

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.